[Overview][Constants][Types][Classes][Procedures and functions][Index] | Reference for unit 'ComCtrls' (#lcl)

# TCustomPage.WMPaint

Handles the LM_PAINT message for the control.

## Declaration

Source position: comctrls.pp line 247

`protected procedure TCustomPage.WMPaint(`
`var Msg: TLMPaint`
`); message;`

## Arguments

`Msg` |  | Message handled in the method.

## Description

WMPaint is an overridden method in TCustomPage which handles the LM_PAINT message for the control. It calls the inherited method to render the control. No actions are performed in the method if the Parent is a TCustomTabControl descendant and the class instance is not the current page in the Parent control.

## See also

TWinControl.WMPaint |  | Manages paint requests, and handles double buffering.